curl --request GET \
--url https://external.nectarclimate.com/v2.2/meter/company/{company_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://external.nectarclimate.com/v2.2/meter/company/{company_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://external.nectarclimate.com/v2.2/meter/company/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.nectarclimate.com/v2.2/meter/company/{company_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.nectarclimate.com/v2.2/meter/company/{company_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.nectarclimate.com/v2.2/meter/company/{company_id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.nectarclimate.com/v2.2/meter/company/{company_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalMeters": 123,
"perPage": 123,
"totalPages": 123,
"currentPage": 123,
"hasNext": true,
"hasPrevious": true,
"meters": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identifiers": [
{
"rawName": "<string>",
"value": "<string>",
"name": "<string>"
}
],
"datasourceType": "ELECTRICITY",
"timeOfUse": "PEAK",
"waterType": "POTABLE_WATER",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"netMeteringType": "EXPORT",
"meterHighLow": "HIGH",
"gasType": "NATURAL_GAS",
"fuelType": "ANTHRACITE_COAL",
"districtType": "HEATING",
"districtMediumType": "HOT_WATER",
"wasteDescription": "<string>",
"wasteType": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wasteStream": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refrigerantType": "R11",
"isTracked": true
}
]
}{
"detail": "<string>",
"error": "<string>"
}Get Meters by Company
Retrieve all meters associated with a specified company. The data is paginated, with default of 100 entries per page. Users must have access to the company to retrieve this data.
curl --request GET \
--url https://external.nectarclimate.com/v2.2/meter/company/{company_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://external.nectarclimate.com/v2.2/meter/company/{company_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://external.nectarclimate.com/v2.2/meter/company/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.nectarclimate.com/v2.2/meter/company/{company_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.nectarclimate.com/v2.2/meter/company/{company_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.nectarclimate.com/v2.2/meter/company/{company_id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.nectarclimate.com/v2.2/meter/company/{company_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalMeters": 123,
"perPage": 123,
"totalPages": 123,
"currentPage": 123,
"hasNext": true,
"hasPrevious": true,
"meters": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identifiers": [
{
"rawName": "<string>",
"value": "<string>",
"name": "<string>"
}
],
"datasourceType": "ELECTRICITY",
"timeOfUse": "PEAK",
"waterType": "POTABLE_WATER",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"netMeteringType": "EXPORT",
"meterHighLow": "HIGH",
"gasType": "NATURAL_GAS",
"fuelType": "ANTHRACITE_COAL",
"districtType": "HEATING",
"districtMediumType": "HOT_WATER",
"wasteDescription": "<string>",
"wasteType": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wasteStream": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refrigerantType": "R11",
"isTracked": true
}
]
}{
"detail": "<string>",
"error": "<string>"
}Authorizations
Path Parameters
ID of the company for which to retrieve meters.
Query Parameters
('Optional. List of datasource types to filter by. If not provided, includes all types. Must be a sublist of "ELECTRICITY", "GAS", "WATER", "SEWER", "DISTRICT", "WASTE", "FUEL", "MISC", "REFRIGERANT", "SOLAR", "TELECOM"',)
ELECTRICITY- ElectricityGAS- GasWATER- WaterSEWER- SewerDISTRICT- DistrictWASTE- WasteFUEL- FuelMISC- MiscREFRIGERANT- RefrigerantSOLAR- SolarTELECOM- Telecom
ELECTRICITY, GAS, WATER, SEWER, DISTRICT, WASTE, FUEL, MISC, REFRIGERANT, SOLAR, TELECOM Filter meters by identifier value. Searches across all identifiers.
1Page number for paginated results. Default is 1.
Response
Serializer for meter site usage data response.
Total number of meters.
Number of entries per page.
Total number of pages.
Current page number.
Indicates if there is a next page.
Indicates if there is a previous page.
List of meters.
Show child attributes
Show child attributes